> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> 既存の Devin セッションにメッセージを送信し、追加の指示や情報を提供します。

# セッションにメッセージを送る



## OpenAPI

````yaml ja/v1-openapi.yaml POST /v1/sessions/{session_id}/message
openapi: 3.1.0
info:
  description: Personal APIキーおよびService APIキーに対応するDevin v1 API
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/sessions/{session_id}/message:
    post:
      summary: セッションにメッセージを送る
      description: >-
        アクティブな Devin セッションにメッセージを送信します。メッセージを受信するには、セッションが実行中の状態である必要があります。成功時は
        null を返し、セッションがすでに一時停止状態の場合は詳細メッセージを返します。
      operationId: post_message_to_session_v1_sessions__session_id__message_post
      parameters:
        - in: path
          name: session_id
          required: true
          schema:
            title: Session Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostMessageParams'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/MessageSentResponse'
                  - type: 'null'
                title: >-
                  Response Post Message To Session V1 Sessions  Session Id 
                  Message Post
          description: 成功時のレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
components:
  schemas:
    PostMessageParams:
      properties:
        message:
          title: Message
          type: string
      required:
        - message
      title: PostMessageParams
      type: object
    MessageSentResponse:
      description: すでに特定の状態にあるセッションにメッセージを送信した場合のレスポンス。
      properties:
        detail:
          title: Detail
          type: string
      required:
        - detail
      title: MessageSentResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 個人用APIキー (apk_user_\*) またはサービス用APIキー (apk_\*)
      scheme: bearer
      type: http

````